v2.0
post
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/resupply/depotmanual
Creates a manual depot shipment as part of a study's predictive resupply group. Rights: OrsSupplyManagerPost.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Root Schema : ManualDepotSupplyRequest v2.0
Type:
objectTitle:
ManualDepotSupplyRequest v2.0Manual depot-to-depot supply v2 request object.
Show Source
-
jobInstanceId: string
Title:
Job Instance IDJob instance ID.Example:4FEBE3E166454E2687C6FAC306E7C86E -
kits: array
kits
Minimum Number of Items:
1Maximum Number of Items:2147483647 -
shippedFrom(required): string
(uuid)
Source depot ID.
-
shippedTo(required): string
(uuid)
Destination depot ID.
-
transactionId: string
(uuid)
Transaction ID.
Nested Schema : kits
Type:
arrayMinimum Number of Items:
1Maximum Number of Items:
Show Source
2147483647-
Array of:
object DepotShipmentKitRequest_v2
Contains lot details for depot shipment creation.
Nested Schema : DepotShipmentKitRequest_v2
Type:
objectContains lot details for depot shipment creation.
Show Source
-
kitTypeId: string
(uuid)
ID of the kit type.
-
lotId: string
(uuid)
ID of the lot.
-
quantity: string
Kit quantityExample:
2
Example:
[
{
"kitTypeId":"B1B8327AFAA6412287106192AB5984EF",
"quantity":"2"
}
]Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
string(uuid)Examples
404 Response
Not found
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Nested Schema : details
Type:
objectExamples